TUNEFS(8)

NAME
tunefs - tune up an existing file system

SYNOPSIS
/usr/etc/tunefs tuneup-options special|filesys

DESCRIPTION
Tunefs changes the dynamic layout parameters of a file system. The parameters are:

-a maxcontig
    The maximum number of contiguous blocks that are laid out before forcing a rotational delay (see -d). The default value is one, since most device drivers require an interrupt per disk transfer. Device drivers that can chain several buffers together in a single transfer should set this to the maximum chain length.

-d rotdelay
    The expected time (in milliseconds) to service a transfer completion interrupt and initiate a new transfer on the same disk. Rotdelay is also a factor in the rotational spacing between successive blocks in a file.

-e maxbpg
    The maximum number of blocks a file can be allocated out of a cylinder group before it is allocated blocks from another cylinder group. Typically this is one-fourth of the number of blocks in a cylinder group. This prevents all of the blocks in a single cylinder group from being allocated to one file, which degrades the access time for all other files allocated to that cylinder group. This increases the number of long seeks on large files, For file systems with large files exclusively, maxbpg should be set higher.

-m minfree
    The percentage of space withheld from normal users; the minimum free-space threshold. The default value is 10%. This value can be set to zero; however, throughput at a level of zero is approximately one-third of the throughput at a 10% threshold. Note that if the value is raised above the current usage level, users will be unable to allocate files until enough files have been deleted to get under the higher threshold.

SEE ALSO
fs(5), mkfs(8), newfs(8), A Fast File System for Unix

BUGS
Tunefs should work on mounted and active file systems. Because the super-block is not kept in the buffer cache, the changes take effect only if tunefs is run on dismounted file systems. If tunefs is run on the root file system, the system must be rebooted.